/*
	This file is part of CrabEmu.

	Copyright (C) 2005 Lawrence Sebald

	CrabEmu is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	CrabEmu is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with CrabEmu; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef SMSMEM_H
#define SMSMEM_H

void sms_mem_write(unsigned short addr, unsigned char data);
void sms_port_write(unsigned short port, unsigned char data);

unsigned char sms_mem_read(unsigned short addr);
unsigned char sms_port_read(unsigned short port);

int sms_mem_load_rom(const char *fn);

int sms_mem_init(void);
int sms_mem_shutdown(void);

#endif /* !SMSMEM_H */
